-- MaelstromMaestro by Sawces of Bleeding Hollow
-- 
-- Version 1.4
--
------------------------------------------------------------



function MaestroInitialize()
    MaelstromSpellId = 53817;
    playedonce = false;
end

function MaestroEventHandler(self, event, timestamp, eventType, hideCaster, srcGUID, srcName, srcFlags, srcRaidFlags, dstGUID, dstName, dstFlags, dstRaidFlags, spellID, spellName, spellSchool, eID, eName)
    if event == "VARIABLES_LOADED" then
        MaestroInitialize();
    end
    
    if event == "COMBAT_LOG_EVENT_UNFILTERED" then
	    if eventType == "SPELL_AURA_APPLIED" or eventType == "SPELL_AURA_APPLIED_DOSE" then 
    	    if dstName == UnitName("player") and spellID == MaelstromSpellId then
        	    if eventType == "SPELL_AURA_APPLIED" or eventType == "SPELL_AURA_APPLIED_DOSE" then 
            	    MaestroOnEvent(event, unit);
            	end
        	end             
        end
    end
end

function MaestroOnEvent(Event, unit)
    local spellname, spellrank = GetSpellInfo(MaelstromSpellId);
    local buff,_,_,count = UnitBuff("player", spellname);
    MaestroSound(count);
end

function MaestroSound(MaelstromBuffs)
    if MaelstromBuffs >= 5 and playedonce == false then
        MaestroPlaySound();
        return;
    elseif MaelstromBuffs < 5 then 
        playedonce = false;
    end
end

function MaestroPlaySound() 
    playedonce = true;
    PlaySoundFile("Interface\\AddOns\\MaelstromMaestro\\maestro.mp3");
end




if not MaestroCoreFrame then
    MaestroCoreFrame = CreateFrame("Frame", "MaestroCoreFrame");
end

MaestroCoreFrame:RegisterEvent("VARIABLES_LOADED");
MaestroCoreFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");

MaestroCoreFrame:SetScript("OnEvent", MaestroEventHandler);

